Bug 736140 - Gofer log does not log timestamps
Summary: Gofer log does not log timestamps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: Jeff Ortel
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 19:26 UTC by James Slagle
Modified: 2012-02-24 20:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description James Slagle 2011-09-06 19:26:40 UTC
The gofer log does not log timestamps, only messages.  This it makes it very
difficult to debug or see when things actually happened.

Comment 1 James Slagle 2011-09-07 15:41:11 UTC
/var/log/pulp-cds/gofer.log is the log file where I saw this

Comment 2 Jeff Ortel 2011-09-19 14:20:24 UTC
Added a Formatter to the CDS log handler.

commit: d812cf114baebcd30645f4e2718428adc1f86529

Comment 3 Jeff Ortel 2011-09-21 21:15:40 UTC
build: 0.233

Comment 4 Preethi Thomas 2011-09-23 13:28:31 UTC
[root@pulp-cds ~]# tail -f /var/log/pulp-cds/gofer.log 
2011-09-23 09:27:03,084 [INFO][worker-0] sync() @ cdslib.py:120 - Received sync call
2011-09-23 09:27:03,085 [INFO][worker-0] sync() @ cdslib.py:121 - {'repos': [], 'repo_base_url': 'https://preethi.usersys.redhat.com//pulp/repos', 'repo_cert_bundles': {}, 'cluster_id': None, 'cluster_members': None, 'server_ca_cert': None, 'global_cert_bundle': None}
2011-09-23 09:27:03,087 [INFO][worker-0] update_cluster_membership() @ cdslib.py:236 - Received cluster membership update; Cluster [None], Members []
2011-09-23 09:27:03,087 [INFO][worker-0] update_cluster_membership() @ cdslib.py:247 - No changes needed to be made to cluster memberships

Comment 5 Preethi Thomas 2012-02-24 20:18:10 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 6 Preethi Thomas 2012-02-24 20:18:58 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.